ApplicationRegistry.ApplicationInfo (install4j API)
Description: declaration: package: com.install4j.api, class: ApplicationRegistry, interface: ApplicationInfo

# Interface ApplicationRegistry.ApplicationInfo

Enclosing class:
  `ApplicationRegistry`

public static interface ApplicationRegistry.ApplicationInfo
Provides information about an application installed by install4j.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCompilerVariable(String variableName)`
  Get the value of a compiler variable in the application.
  `String`
  `getId()`
  Returns the application ID.
  `File`
  `getInstallationDirectory()`
  Returns the directory the application was installed in the last time the installer ran.
  `Object`
  `getInstallerVariable(String variableName)`
  Get the value of an installer variable that was saved to the automatically created response file `response.varfile`.
  `String`
  `getMediaSetId()`
  Returns the ID of the media file that was used to install this application.
  `String`
  `getName()`
  Returns the name of the application.
  `String`
  `getVersion()`
  Returns the version of the application.

- ## Method Details

  - ### getInstallationDirectory

    File getInstallationDirectory()
    Returns the directory the application was installed in the last time the installer ran.
    Returns:
      the installation directory

  - ### getId

    String getId()
    Returns the application ID.
    Returns:
      the application id, `null` if the application was installed with install4j < 3.0

  - ### getName

    String getName()
    Returns the name of the application.
    Returns:
      the full name of the application

  - ### getVersion

    String getVersion()
    Returns the version of the application.
    Returns:
      the version

  - ### getMediaSetId

    String getMediaSetId()
    Returns the ID of the media file that was used to install this application.
    Returns:
      the media file ID or an empty string if the application was installed with install4j < 4.1

  - ### getCompilerVariable

    String getCompilerVariable(String variableName)
    Get the value of a compiler variable in the application.
    Parameters:
      `variableName` - the name of the compiler variable
    Returns:
      the value of the compiler variable or `null` if the variable is undefined

  - ### getInstallerVariable

    Object getInstallerVariable(String variableName)
    Get the value of an installer variable that was saved to the automatically created response file `response.varfile`.
    Parameters:
      `variableName` - the name of the installer variable
    Returns:
      the value of the installer variable or `null` if the variable is undefined